@media screen and (min-width: 0) {
  .intro {
    background: var(--roxo-sombra) url("../../img/intro/Lavender.svg") center /
      cover no-repeat;
  }

  .intro__menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: auto;
    gap: 24px;
    padding: 24px;
    padding-bottom: 64px;
  }

  .intro__logo {
    transition: 0.5s ease-out all;
    text-align: center;
    display: flex;
    align-items: center;
  }

  .intro__logo:hover {
    transform: scale(1.1);
  }

  .intro__navegacao--botoes {
    font-family: var(--font-body);
    font-weight: 700;
    font-size: 16px;
    display: flex;
    gap: 32px;
    flex-direction: column;
    justify-content: center;
    align-items: start;
  }
  .intro__navegacao--botoes li {
    margin-bottom: -8px;
  }

  .intro__navegacao--botoes li::before {
    content: "";
    background-image: url(../../img/intro/Ellipse\ 6.svg);
    display: inline-block;
    position: relative;
    background-repeat: no-repeat;
    background-size: contain;
    width: 8px;
    height: 8px;
    padding-right: 8px;
  }

  .intro__navegacao--botoes li:last-child a {
    margin-left: -4px;
  }

  .intro__botao-nav::after {
    content: "";
    display: block;
    height: 2px;
    border-radius: 24px;
    margin-top: 4px;
    margin-left: 17px;
    background-color: var(--lilas);
    width: 0;
    transition: 0.5s ease-out all;
  }

  .intro__botao-nav:hover::after {
    width: calc(100% - 17px);
  }

  .intro__navegacao--botoes li a {
    text-decoration: none;
    color: var(--branco);
  }
  .intro__navegacao--botoes li:hover {
    cursor: pointer;
  }

  .intro__botao {
    max-width: 254px;
    margin: auto;
    margin-left: 0px;
    text-align: center;
    display: flex;
    justify-content: center;
  }

  .intro__botao--contatenos {
    color: var(--branco);
    font-size: 14px;
    min-width: 110px;
    height: 32px;
  }

  .intro__botao--contatenos:hover {
    color: var(--rosa-escuro);
    border-color: var(--rosa-escuro);
  }

  .intro__navegacao {
    display: flex;
    justify-content: center;
    gap: 32px;
    flex-direction: column;
    position: absolute;
    left: 0;
    top: -400px;
    transition: 0.8s ease all;
    opacity: 0;
    background-color: var(--roxo-sombra);
    width: 100%;
    padding: 32px;
  }

  [data-fechar] {
    position: absolute;
    top: 16px;
    right: 16px;
    color: var(--branco);
    cursor: pointer;
  }

  .intro__navegacao.intro__navegacao--ativo {
    top: 0px;
    opacity: 1;
    box-shadow: 0 24px 48px rgb(0 0 0 / 0.2);
  }

  .intro__hamburguer {
    color: red;
    background-color: transparent;
    border: none;
    color: var(--branco);
    cursor: pointer;
    font-size: 28px;
  }
}

@media screen and (min-width: 576px) {
  .intro__hamburguer {
    display: none;
  }

  .intro__menu {
    flex-direction: column;
  }

  .intro__navegacao {
    position: initial;
    opacity: 1;
    background-color: transparent;
    width: auto;
    padding: 0;
  }

  [data-fechar] {
    display: none;
  }

  .intro__navegacao--botoes {
    flex-direction: row;
    align-items: center;
  }

  .intro__botao {
    margin-left: auto;
  }
}

@media screen and (min-width: 768px) {
  .intro__menu {
    padding-bottom: 0;
  }
  .intro__botao {
    display: flex;
    margin: 0 0px;
    margin-left: 8px;
    padding-bottom: 0px;
  }

  .intro__navegacao {
    flex-direction: row;
  }

  .intro__navegacao--botoes li {
    font-size: 16px;
  }

  .intro__logo {
    font-size: 36px;
  }
}

@media screen and (min-width: 1024px) {
  .intro__menu {
    flex-direction: row;
  }

  .intro__logo {
    font-size: 28px;
  }

  .intro__logo::before {
    width: 24px;
    height: 34px;
  }

  .intro__botao {
    align-items: center;
    padding-bottom: 0px;
  }

  .intro__navegacao--botoes {
    align-items: center;
    top: 0px;
    padding-bottom: 0px;
  }
}
